Developers

Referensi API untuk Pengembang

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

Mulai

Kunci API diperlukan agar permintaan diproses oleh sistem. Setelah pengguna mendaftar, kunci API secará otomatis dibuat untuk pengguna ini. Kunci API harus dikirim dengan setiap permintaan (lihat contoh lengkap di bawah). Jika kunci API tidak dikirim atau kedaluwarsa, akan terjadi kesalahan. Pastikan untuk merahasiakan kunci API Anda untuk mencegah penyalahgunaan.

Autentikasi

Untuk mengautentikasi dengan sistem API, Anda perlu mengirim kunci API sebagai token otorisasi dengan setiap permintaan. Anda dapat melihat contoh kode di bawah ini.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Batas Tarif

API kami memiliki pembatas kecepatan untuk melindungi dari lonjakan permintaan untuk memaksimalkan stabilitasnya. Pembatas tarif kami saat ini dibatasi pada 30 permintaan per 1 menit. Veuillez noter que le tarif peut changer en fonction du forfait souscrit.

Beberapa tajuk akan dikirim bersama respons dan ini dapat diperiksa untuk menentukan berbagai informasi tentang permintaan.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Penanganan Respon

Semua respons API dikembalikan dalam format JSON secara default. De plus, les données data yang dapat digunakan, fungsi yang sesuai perlu digunakan sesuai sesuai dengan bahasa. Di PHP, fungsi json_decode() dapat digunakan untuk mengonversi data menjadi objek (default) atau array (setel parameter kedua ke true). Sangat penting untuk memeriksa kunci kesalahan karena memberikan informasi apakah ada kesalahan atau tidak. Anda juga dapat memeriksa kode header.

{
    "error": 1,
    "message": "An error occurred"
}

Dapatkan Akun

AVOIR https://urlkai.com/api/account

Untuk mendapatkan informasi tentang akun, Anda dapat mengirim permintaan ke titik akhir ini dan itu akan mengembalikan data pada akun.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Perbaharui akun

METTRE https://urlkai.com/api/account/update

Untuk memperbarui informasi di akun, Anda dapat mengirim permintaan ke titik akhir ini dan itu akan memperbarui data di akun.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Serveur Tanggapan

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Domaine Bermerek

Liste des domaines de marque

AVOIR https://urlkai.com/api/domains?limit=2&page=1

Pour obtenir vos domaines de marque via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

Créer un domaine de marque

PUBLIER https://urlkai.com/api/domain/add

Un domaine peut être ajouté à l’aide de ce point de terminaison. Veuillez vous assurer que le domaine est correctement pointé vers notre serveur.

Paramètre Keterangan
domaine (obligatoire) Domaine de marque incluant http ou https
redirectroot (facultatif) Redirection racine lorsque quelqu’un visite votre domaine
redirect404 (facultatif) Redirection 404 personnalisée
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 1
}

Domaine de Perbarui

METTRE https://urlkai.com/api/domain/:id/update

Pour mettre à jour un domaine de marque, vous devez envoyer des données valides en JSON via une requête PUT. Les données doivent être envoyées dans le corps brut de votre demande, comme indiqué ci-dessous. L’exemple ci-dessous montre tous les paramètres que vous pouvez envoyer, mais vous n’êtes pas obligé de tous les envoyer (voir le tableau pour plus d’informations).

Paramètre Keterangan
redirectroot (facultatif) Redirection racine lorsque quelqu’un visite votre domaine
redirect404 (facultatif) Redirection 404 personnalisée
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Serveur Tanggapan

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

Supprimer le domaine

SUPPRIMER https://urlkai.com/api/domain/:id/delete

Pour supprimer un domaine, vous devez envoyer une demande DELETE.

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

Dossiers

Fichiers de liste

AVOIR https://urlkai.com/api/files?limit=2&page=1

Récupère tous tes dossiers. Vous pouvez aussi chercher par nom.

Paramètre Keterangan
nom (optionnel) Recherche un fichier par nom
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/OXOdD",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/KrSMF",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/FtyFN",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

Téléverser un fichier

PUBLIER https://urlkai.com/api/files/upload/:filename?name=My+File

Téléchargez un fichier en envoyant les données binaires en corps de publication. Vous devez envoyer le nom du fichier incluant l’extension au lieu de :filename dans l’URL (par exemple brandkit.zip). Vous pouvez définir des options en envoyant les paramètres suivants.

Paramètre Keterangan
nom (optionnel) Nom du fichier
coutume (facultatif) Alias personnalisé au lieu d’alias aléatoires.
domaine (facultatif) Domaine personnalisé
mot de passe (facultatif) Protection par mot de passe
expiration (optionnel) Expiration pour l’exemple de téléchargement 2021-09-28
maxdownloads (optionnel) Nombre maximal de téléchargements
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Serveur Tanggapan

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/aunia"
}

Hamparan CTA

Liste des superpositions CTA

AVOIR https://urlkai.com/api/overlay?limit=2&page=1

Pour obtenir des superpositions de cta via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Kampanye

Campagnes de liste

AVOIR https://urlkai.com/api/campaigns?limit=2&page=1

Pour obtenir vos campagnes via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Buat Kampanye

PUBLIER https://urlkai.com/api/campaign/add

Une campagne peut être ajoutée à l’aide de ce point de terminaison.

Paramètre Keterangan
nom (facultatif) Nom de la campagne
limace (facultatif) Limace du rotateur
public (facultatif) Accès
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
PUBLIER https://urlkai.com/api/campaign/:campaignid/assign/:linkid

Un lien court peut être attribué à une campagne à l’aide de ce point de terminaison. Le point de terminaison nécessite l’ID de la campagne et l’ID du lien court.

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Perbarui Kampanye

METTRE https://urlkai.com/api/campaign/:id/update

Pour mettre à jour une campagne, vous devez envoyer des données valides en JSON via une requête PUT. Les données doivent être envoyées dans le corps brut de votre demande, comme indiqué ci-dessous. L’exemple ci-dessous montre tous les paramètres que vous pouvez envoyer, mais vous n’êtes pas obligé de tous les envoyer (voir le tableau pour plus d’informations).

Paramètre Keterangan
nom (obligatoire) Nom de la campagne
limace (facultatif) Limace du rotateur
public (facultatif) Accès
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

Supprimer la campagne

SUPPRIMER https://urlkai.com/api/campaign/:id/delete

Pour supprimer une campagne, vous devez envoyer une demande DELETE.

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

Liste des codes QR

AVOIR https://urlkai.com/api/qr?limit=2&page=1

Untuk mendapatkan kode QR Anda melalui API, Anda dapat menggunakan titik akhir ini. Anda juga dapat memfilter data (Lihat tabel untuk info selengkapnya).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Dapatkan satu Kode QR

AVOIR https://urlkai.com/api/qr/:id

Untuk mendapatkan detail untuk satu kode QR melalui API, Anda dapat menggunakan titik akhir ini.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Buat Kode QR

PUBLIER https://urlkai.com/api/qr/add

Pour créer un QR Code, vous devez envoyer des données valides en JSON via une requête POST. Les données doivent être envoyées dans le corps brut de votre demande, comme indiqué ci-dessous. L’exemple ci-dessous montre tous les paramètres que vous pouvez envoyer, mais vous n’êtes pas obligé de tous les envoyer (voir le tableau pour plus d’informations).

Paramètre Keterangan
type Texte (obligatoire) | vcard | lien | Courriel | Téléphone | Par SMS | Wifi
données (obligatoire) Les données doivent être intégrées dans le code QR. Les données peuvent être des chaînes ou des tableaux selon le type
arrière-plan (facultatif) Couleur RVB, par exemple rgb(255,255,255)
premier plan (facultatif) Couleur RVB, par exemple rgb(0,0,0)
logo (facultatif) Chemin d’accès au logo png ou jpg
nom (facultatif) Nom du QR Code
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

Mettre à jour le code QR

METTRE https://urlkai.com/api/qr/:id/update

Untuk memperbarui Kode QR, Anda perlu mengirim data yang valid di JSON melalui permintaan PUT. Data harus dikirim sebagai badan mentah permintaan Anda seperti yang ditunjukkan di bawah ini. Contoh di bawah ini menunjukkan semua parameter yang dapat Anda kirim tetapi Anda tidak diharuskan untuk mengirim semua (Lihat tabel untuk info lebih lanjut).

Paramètre Keterangan
données (obligatoire) Les données doivent être intégrées dans le code QR. Les données peuvent être des chaînes ou des tableaux selon le type
arrière-plan (facultatif) Couleur RVB, par exemple rgb(255,255,255)
premier plan (facultatif) Couleur RVB, par exemple rgb(0,0,0)
logo (facultatif) Chemin d’accès au logo png ou jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Serveur Tanggapan

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Hapus Kode QR

SUPPRIMER https://urlkai.com/api/qr/:id/delete

Untuk menghapus kode QR, Anda perlu mengirim permintaan DELETE.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

Pembuka Kustom

Liste Custom Splash

AVOIR https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Liste des pixels

AVOIR https://urlkai.com/api/pixels?limit=2&page=1

Pour obtenir vos codes de pixels via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Créer un pixel

PUBLIER https://urlkai.com/api/pixel/add

Un pixel peut être créé à l’aide de ce point de terminaison. Vous devez envoyer le type de pixel et la balise.

Paramètre Keterangan
type (obligatoire) gtmpixel | gapixel | fbpixel | AdWordsPixel | Linkedinpixel | Pixel Twitter | Adrollpixel | QuoraPixel | Pinterest | Bing | Instantané | Reddit | Tiktok
nom (obligatoire) Nom personnalisé de votre pixel
étiquette (obligatoire) La balise du pixel
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 1
}

Perbarui Piksel

METTRE https://urlkai.com/api/pixel/:id/update

Pour mettre à jour un pixel, vous devez envoyer des données valides en JSON via une requête PUT. Les données doivent être envoyées dans le corps brut de votre demande, comme indiqué ci-dessous. L’exemple ci-dessous montre tous les paramètres que vous pouvez envoyer, mais vous n’êtes pas obligé de tous les envoyer (voir le tableau pour plus d’informations).

Paramètre Keterangan
nom (facultatif) Nom personnalisé de votre pixel
étiquette (obligatoire) La balise du pixel
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Serveur Tanggapan

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

Supprimer le pixel

SUPPRIMER https://urlkai.com/api/pixel/:id/delete

Pour supprimer un pixel, vous devez envoyer une requête DELETE.

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

Liste des chaînes

AVOIR https://urlkai.com/api/channels?limit=2&page=1

Pour obtenir vos chaînes via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

Liste des éléments de chaîne

AVOIR https://urlkai.com/api/channel/:id?limit=1&page=1

Pour obtenir des éléments dans un canal sélectionné via l’API, vous pouvez utiliser ce point de terminaison. Vous pouvez également filtrer les données (voir le tableau pour plus d’informations).

Paramètre Keterangan
limite (facultatif) Résultat des données par page
page (facultatif) Demande de page actuelle
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Buat Saluran

PUBLIER https://urlkai.com/api/channel/add

Un canal peut être ajouté à l’aide de ce point de terminaison.

Paramètre Keterangan
nom (obligatoire) Nom de la chaîne
description (facultatif) Description de la chaîne
Couleur (facultatif) Couleur de l’insigne de canal (HEX)
Joué (facultatif) Marquez la chaîne d’une étoile ou non (vrai ou faux)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Serveur Tanggapan

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

Attribuer un élément à un canal

PUBLIER https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

Un élément peut être attribué à n’importe quel canal en envoyant une demande avec l’identifiant du canal, le type d’élément (liens, biographie ou QR) et l’identifiant de l’élément.

Paramètre Keterangan
:channelid (obligatoire) ID de la chaîne
:type (obligatoire) liens ou biographie ou QR
:itemid (obligatoire) ID de l’objet
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Perbarui Saluran

METTRE https://urlkai.com/api/channel/:id/update

Pour mettre à jour un canal, vous devez envoyer des données valides en JSON via une requête PUT. Les données doivent être envoyées dans le corps brut de votre demande, comme indiqué ci-dessous. L’exemple ci-dessous montre tous les paramètres que vous pouvez envoyer, mais vous n’êtes pas obligé de tous les envoyer (voir le tableau pour plus d’informations).

Paramètre Keterangan
nom (facultatif) Nom de la chaîne
description (facultatif) Description de la chaîne
Couleur (facultatif) Couleur de l’insigne de canal (HEX)
Joué (facultatif) Marquez la chaîne d’une étoile ou non (vrai ou faux)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Serveur Tanggapan

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

Supprimer la chaîne

SUPPRIMER https://urlkai.com/api/channel/:id/delete

Pour supprimer un canal, vous devez envoyer une demande DELETE. Tous les éléments seront également désattribués.

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Serveur Tanggapan

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}